650f5fece7486e29d822f4130955dcace737223b
[ikiwiki.git] / doc / patchqueue / image-magick-prereq.mdwn
1 The _img_ plugin is part of the default install and requires _Image::Magick_.
2
3 > `img` is not enabled by default though. I don't want to list every module
4 > that some plugin can use in there, only the ones in the default install
5 > --[[Joey]]
6
7 >> Isn't it part of the `goodstuff` bundle, which is enabled in the `Makefile.PL`? I was testing out install on another box earlier and the build failed because `Image::Magick` wasn't installed; after `sudo cpan Image::Magick`, that error went away.
8
9 <pre>
10 Index: Makefile.PL
11 ===================================================================
12 --- Makefile.PL (revision 2675)
13 +++ Makefile.PL (working copy)
14 @@ -83,5 +83,6 @@
15                 'Mail::Sendmail'        => 0,
16                 'HTML::Parser'          => 0,
17                 'URI'                   => 0,
18 +               'Image::Magick'         => 0,
19         },
20  );
21 </pre>